Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Class VMInstance

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.VMInstance

public final class VMInstance
extends java.lang.Object

Functions specific to the VM as a whole.

Author:
  Tim Stack, Utah Janos Team

Method Summary
`static void` | `crash()` Crash into the team boundary, this is basically a violent exit from a visit and results in a DeadTeamException being thrown in the previous team context.
`static java.lang.String` | `getName()` Get the name of this VM instance.
`static void` | `panic(java.lang.String msg)`
`static void` | `panic(java.lang.String msg, java.lang.Throwable th)`
`static void` | `shutdown()` Shutdown the VM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### crash

    public static void crash()

  Crash into the team boundary, this is basically a violent exit from a visit and results in a DeadTeamException being thrown in the previous team context. NOTE: This is only used for testing, its possible for the VM to do something similar so we needed a way to explicitly cause it.

### panic

    public static void panic(java.lang.String msg)

### panic

    public static void panic(java.lang.String msg,
                             java.lang.Throwable th)

### shutdown

    public static void shutdown()

  Shutdown the VM.

### getName

    public static java.lang.String getName()

  Get the name of this VM instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002